#if __VERSION__>=150
  layout(triangles) in;
  // --> ProgramParameteri(GEOMETRY_INPUT_TYPE)=TRIANGLES
  layout(triangle_strip,max_vertices=6) out;
  // --> ProgramParameteri(GEOMETRY_OUTPUT_TYPE)=TRIANGLE_STRIP
  // --> ProgramParameteri(GEOMETRY_VERTICES_OUT)=6
#endif
uniform mat4 u_ProjectionMatrix;
uniform mat4 u_ModelViewMatrix;
in vec4 g_Color[3];
out vec4 f_Color;
void
main(void) 
{
f_Color=g_Color[0];
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*gl_PosIn(0));
EmitVertex();
f_Color=g_Color[1];
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*gl_PosIn(1));
EmitVertex();
f_Color=g_Color[2];
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*gl_PosIn(2));
EmitVertex();
EndPrimitive();
f_Color=g_Color[0];
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*vec4(-gl_PosIn(0).xyz,1.0));
EmitVertex();
f_Color=g_Color[2];
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*vec4(-gl_PosIn(2).xyz,1.0));
EmitVertex();
f_Color=g_Color[1];
gl_Position=u_ProjectionMatrix*(u_ModelViewMatrix*vec4(-gl_PosIn(1).xyz,1.0));
EmitVertex();
EndPrimitive();
}
